Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě čte: 4488 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum

NápovědaCAD diskuze

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit a dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Téma uzavřenoAktualizace hmotnosti - tlačítko

 Odpovědět Odpovědět archiv
Autor
jirka007CZ Zobrazit panel
Diskutér
Diskutér

Přihlášen: 07.led.2007
Lokalita: ČR (SČ)
Používám:
Inventor 2014
Stav: Offline
Bodů: 27
Přímý odkaz na tuto zprávu Téma: Aktualizace hmotnosti - tlačítko
    Zasláno: 27.čer.2014 v 09:49
Dobrý den, narazil jsem na návod, jak automaticky aktualizovat hmotnost v popisovém poli.

Úplně mi toto řešení nevyhovuje, protože se pravidlo spouští při každém uložení, což u větších sestav není pohodlné. Osobně by se mi více líbilo mít uživatelské tlačítko pro aktualizaci hmotnosti.

Bylo by možné tento kód předělat do VBA, nebo jakým způsobem bych mohl docílit manuálního tlačítka?

Moc děkuji

Sub Main UpdatePartMassProps()
    'Kontrola, jestli se jedná o pohled komponenty
    If ThisDrawing.ModelDocument.DocumentType = kPartDocumentObject Then
        Dim oDoc As Inventor.PartDocument
        'Definice modelu podle prvního výkresového pohledu
        oDoc = ThisDrawing.ModelDocument
        Dim dMass As Double
        'Aktualizace hmotnosti
        dMass = oDoc.ComponentDefinition.MassProperties.Mass
        'Aktualizace součásti (Komponenty)
        oDoc.Update
        'Uložení (Komponenty)
        oDoc.Save
        iLogicVb.UpdateWhenDone = True
        MessageBox.Show("Hmotnost byla aktualizována", "Úspěšně dokončeno")
    Else
        MessageBox.Show("Aktualizace hmotnosti je k dispozici pouze pro výkres součásti", "špatný typ souboru ve výkresu")
    Exit Sub
    End If
End Sub
Chyba je vždy mezi monitorem a židlí...
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
CAD Studio a.s.

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 16324
Přímý odkaz na tuto zprávu Zasláno: 27.čer.2014 v 11:00
Aktualizační makro s popisem přidání tlačítka najdete v původním tipu z roku 2011:
(nebo funkci máte v X-Tools)
Vladimír Michl (moderátor)
CAD Studio a.s. - www.cadstudio.cz
(podporu najdete na helpdesk.cadstudio.cz)
Zpět nahoru
jirka007CZ Zobrazit panel
Diskutér
Diskutér

Přihlášen: 07.led.2007
Lokalita: ČR (SČ)
Používám:
Inventor 2014
Stav: Offline
Bodů: 27
Přímý odkaz na tuto zprávu Zasláno: 27.čer.2014 v 13:03
Děkuji moc za rychlé vyřešení, je to přesně to, co jsem potřeboval.
Chyba je vždy mezi monitorem a židlí...
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 10531:Jak zobrazit referenční součást sestavy ve výkresu jako vystínovanou?
Tip 8926:Jak nezahrnout některé části sestavy do celkové hmotnosti?
Tip 10654:Inventor zobrazuje na výkresu hmotnost jako "Není k dispozici".
Tip 3111:Jak rychle zjistit celkovou hmotnost či objem sestavy?
Tip 3996:Jak vrátit údaj o hmotnosti součásti či sestavy zpět na skutečnou hodnotu?
Tip 717:Při výpočtu hmotnosti sestavy dostávám nesprávná čísla.


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,531 sekund.